# List gross-to-net report.

GET https://api.letsdeel.com/rest/v2/gp/reports/{id}/gross_to_net

Get a list of global payroll reports detailing gross-to-net calculations. Supports pagination through limit and offset query parameters.
 **Token scopes**: `global-payroll:read`

Reference: https://developer.deel.com/api/endpoints/reports/get-gp-report-gross-to-net

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /gp/reports/{id}/gross_to_net:
    get:
      operationId: get-gp-report-gross-to-net
      summary: List gross-to-net report.
      description: >-
        Get a list of global payroll reports detailing gross-to-net
        calculations. Supports pagination through limit and offset query
        parameters.
         **Token scopes**: `global-payroll:read`
      tags:
        - subpackage_reports
      parameters:
        - name: id
          in: path
          description: Id of the gp payroll report.
          required: true
          schema:
            type: string
        - name: currency
          in: query
          description: Currency to be used in the report calculation.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of records to return.
          required: false
          schema:
            type: number
            format: double
        - name: offset
          in: query
          description: Offset/index of record for the next page of records to return.
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/reports_getGPReportGrossToNet_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListGrossToNetReportRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        type:
          type: string
          description: Cell type used for rendering/formatting.
        label:
          type: string
          description: Human-readable label of the column for this cell.
        compareValue:
          description: Raw value for the comparison period, if applicable.
        currentValue:
          description: >-
            Raw value for the current period. Type varies by column
            (string/number/null/etc).
        percentageDiff:
          description: >-
            Percentage difference between current and comparison values, if
            applicable.
        formattedCurrentValue:
          description: Formatted value for display purposes.
      required:
        - type
        - label
      description: A cell value object for a given column.
      title: GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaDataItems
    GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaPage:
      type: object
      properties:
        limit:
          type: number
          format: double
          description: Maximum number of rows returned per page.
        offset:
          type: number
          format: double
          description: Zero-based offset of the first returned row.
        total_rows:
          type: number
          format: double
          description: Total number of rows available across all pages.
      required:
        - limit
        - offset
        - total_rows
      description: Pagination metadata for the report rows.
      title: GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaPage
    reports_getGPReportGrossToNet_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            additionalProperties:
              $ref: >-
                #/components/schemas/GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaDataItems
          description: >-
            List of report rows (summary rows are filtered out). Each row
            contains dynamic column keys mapped to cell objects.
        page:
          $ref: >-
            #/components/schemas/GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaPage
          description: Pagination metadata for the report rows.
      required:
        - data
        - page
      title: reports_getGPReportGrossToNet_Response_200
    GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        path:
          type: string
          description: The JSON path where input validation failed
        message:
          type: string
          description: A description of the returned error
      title: GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaErrorsItems
    GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaRequest:
      type: object
      properties:
        url:
          type: string
          description: The relative URL of the failed request
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        method:
          type: string
          description: The HTTP method of the failed request
        source:
          type: string
          description: The source handler which produced the returned error
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
      title: GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaRequest
    ListGrossToNetReportRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaErrorsItems
        request:
          $ref: >-
            #/components/schemas/GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaRequest
      title: ListGrossToNetReportRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net"

querystring = {"currency":"USD","limit":"50","offset":"50"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```